Uploaded image for project: 'eZ Publish / Platform'
  1. eZ Publish / Platform
  2. EZP-22767

ezscript_require is not taken into account on modules

    XMLWordPrintable

    Details

      Description

      This bug was found trying to get ezfind autocomplete to work on the new stack. It can be used as a scenario to reproduce the issue.

      • Install ezfind
      • On the demobundle search for content, on the search page an error message is displayed.
      TypeError: Y.eZ is undefined
      

      This is because the script is not loaded.

      {ezscript_require( array('ezjsc::yui3', 'ezajax_autocomplete.js') )}
      

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                yannick.roger-obsolete@ez.no Yannick Roger (Inactive)
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - Not Specified
                  Not Specified
                  Remaining:
                  Remaining Estimate - 0 minutes
                  0m
                  Logged:
                  Time Spent - 2 hours
                  2h